/* $FreeBSD: release/9.2.0/libexec/lukemftpd/nbsd2fbsd.h 161769 2006-08-31 17:02:05Z obrien $ */

/* XXX: Depend on our system headers protecting against multiple includes. */
#include <paths.h>
#undef _PATH_FTPUSERS

#include <pwd.h>

#define _DIAGASSERT(x)

#include <sys/_types.h>
#ifndef _SIZE_T_DECLARED
typedef	__size_t	size_t;
#define	_SIZE_T_DECLARED
#endif
long long strsuftollx(const char *, const char *,
    long long, long long, char *, size_t);

/*
 * IEEE Std 1003.1c-95, adopted in X/Open CAE Specification Issue 5 Version 2
 */
#if __POSIX_VISIBLE >= 199506 || __XSI_VISIBLE >= 500
#define	LOGIN_NAME_MAX	MAXLOGNAME	/* max login name length (incl. NUL) */
#endif

/* NetBSD pwd.h */
#define	_PASSWORD_CHGNOW	-1	/* special day to force password
					 * change at next login */

/* Need this for some LOGIN_CAP functionality NetBSD has doesn't have
   the infastructure for. */
#define	notyet
/* Need this for some USE_PAM functionality NetBSD has doesn't have
   the infastructure for. */
#define	notdef
